Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81733 - query page UI
Summary: query page UI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.2
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-13 16:15 UTC by David Balažic
Modified: 2013-06-24 03:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-07 07:07:42 UTC


Attachments (Terms of Use)

Description David Balažic 2003-01-13 16:15:10 UTC
The query page ( https://bugzilla.redhat.com/bugzilla/query.cgi ) design is not 
very good.

First , the "Quick Search". One would expect tha this is separate form the rest 
of search elements, but it is not. Clicking on the "Search" button in "Quick 
Search" is the same as clicking "Search" in the "Query Action" section. This is 
a bit unintuitive.

Second , when skipping Quck Search and using the rest, in the "String Search" 
section , there is no entry for searching in the bug Summaries. One must use 
the Summary field in "Quick Search". This again is not very user friendly.

I recommend adding a "Summary" field to "String Search".

About "Quick Search" , either :

 - put a note that it will also be influenced by the search criteria below

or

 - make is separate from the other search criteria ( search _only_ by the 
summary )

Comment 1 Fred New 2003-01-23 21:28:09 UTC
When I enter "contains all of the words/strings" and "firstboot Time" in Quick
Search, I don't find the bug I'm looking for - 82061.  Maybe Quick Search
doesn't consider closed bugs worth searching for.  There are about 10 duplicate
bugs reported against Phoebe and firstboot because a default query doesn't show
you 82061.  It may be complicated, but if Quick Search could also show bugs that
have been closed for less than 30 days, I think a lot of duplicates could be
eliminated.

Comment 2 David Balažic 2003-01-24 09:00:32 UTC
Fred, that is becasue bug 82061 does not have the words "firstboot Time" in 
its "Summary" field. Its Summary is "Traceback loading Date and Time module",
you can find it by entering for example "traceback date time". You must also 
select "CLOSED" in the "Status" or set nothing in "Status", becasue the default 
is ti search for bugs that have Status  NEW, ASSIGNED or REOPENED.

Comment 3 David Lawrence 2006-04-08 17:53:05 UTC
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.

Comment 4 David Lawrence 2008-09-16 16:49:44 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 5 Noura El hawary 2008-11-07 07:07:42 UTC
This bug is no more relevant to bugzilla 3.2 , as the Search pages have completely changed in design and the don't include the sections mentioned in that bug report any more. So problems mentioned in this report are considered solved in the current bugzilla release.

Noura


Note You need to log in before you can comment on or make changes to this bug.